{{ with set . "component" "ui" }}
apiVersion: apps/v1
kind: Deployment
metadata: {{ include "check-in-dashboard-ui.common.metadata" . | nindent 2 }}
spec:
  replicas: 1
  selector:
    matchLabels: {{ include "check-in-dashboard-ui.common.metadata-labels" . | nindent 6 }}
  template:
    metadata:
      labels: {{ include "check-in-dashboard-ui.common.metadata-labels" . | nindent 8 }}
    spec:
      containers:
        - name: ui
          image: {{.Values.uiImage | quote}}
          imagePullPolicy: {{ .Values.imagePullPolicy }}
---
apiVersion: v1
kind: Service
metadata: {{ include "check-in-dashboard-ui.common.metadata" . | nindent 2 }}
spec:
  selector: {{ include "check-in-dashboard-ui.common.metadata-labels" . | nindent 4 }}
  ports:
    - name: http
      protocol: TCP
      port: 80
---
apiVersion: extensions/v1beta1
kind: Ingress
metadata: {{ include "check-in-dashboard-ui.common.metadata" . | nindent 2 }}
  annotations:
    kubernetes.io/ingress.class: {{ .Values.ingressClass }}
    ingress.kubernetes.io/frame-deny: "true"
    ingress.kubernetes.io/content-type-nosniff: "true"
    ingress.kubernetes.io/browser-xss-filter: "true"
    ingress.kubernetes.io/referrer-policy: "same-origin"
    ingress.kubernetes.io/content-security-policy: "default-src 'self'; style-src 'self' 'unsafe-inline'; script-src 'self' 'unsafe-inline';"
    ingress.kubernetes.io/hsts-max-age: "315360000"
spec:
  rules:
    - host: {{.Values.domain}}
      http:
        paths:
          - path: /
            backend:
              serviceName: ui
              servicePort: http
          - path: /api
            backend:
              serviceName: dashboard-processcomponent
              servicePort: 80
---
apiVersion: v1
kind: Service
metadata:
  name: dashboard-processcomponent
  namespace: {{ .Release.Namespace }}
  labels: {{- include "check-in-dashboard-ui.common.metadata-labels" . | nindent 4 }}
spec:
  type: ExternalName
  externalName: dashboard-processcomponent.{{ .Values.dashboardProcesscomponentNamespace }}.svc.cluster.local
  ports:
    - port: 80
{{ end }}